Skip to main content
GET
/
events
Subscribe to live call events (SSE)
curl --request GET \
  --url https://api.smallest.ai/atoms/v1/events \
  --header 'Authorization: Bearer <token>'
{
  "event_type": "sse_init",
  "event_time": "2026-03-02T10:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

callId
string
required

The call ID to subscribe events for

Example:

"CALL-1758124225863-80752e"

Response

SSE event stream established successfully

Events are sent as data: <JSON>\n\n. Each event has an event_type field.

event_type
enum<string>

The type of event

Available options:
sse_init,
user_interim_transcription,
user_transcription,
tts_completed,
sse_close
event_id
string

Unique identifier for the event

timestamp
string<date-time>

ISO 8601 timestamp of the event

call_id
string

The call ID this event belongs to

interim_transcription_text
string

Partial transcription text (only for user_interim_transcription)

user_transcription_text
string

Final transcription text (only for user_transcription)

tts_text
string

Text spoken by the agent (only for tts_completed)

tts_latency
integer

TTS latency in milliseconds (only for tts_completed)